Ticket #40308

オプションFrhed設定のボタン操作で異常終了

Open Date: 2020-04-06 10:57 Last Update: 2020-04-29 20:40

Reporter:
(Anonymous)
Owner:
(None)
Type:
Status:
Closed
Component:
(None)
MileStone:
(None)
Priority:
5 - Medium
Severity:
5 - Medium
Resolution:
Fixed
File:
None

Details

(Ticket #40296 で中途半端に事象を報告してしまっていた件です)

既にサポート切れの環境ではありますが・・・・Windows7(x86)環境にて、 設定オプション・比較-バイナリのFrhed設定「表示設定」「バイナリモード」「文字セット」のいずれかのボタンを2回クリックすると、WinMergeが異常終了します。

イベントビューアには以下のイベントログが出力されます(アプリケーションパスのみ記述改変しています)

  • 障害が発生しているアプリケーション名: WinMergeU.exe、バージョン: 2.16.6.3、タイム スタンプ: 0x5e848f24
  • 障害が発生しているモジュール名: hekseditU.dll_unloaded、バージョン: 0.0.0.0、タイム スタンプ: 0x5e76b1b8
  • 例外コード: 0xc0000005
  • 障害オフセット: 0x57da3838
  • 障害が発生しているプロセス ID: 0x1508
  • 障害が発生しているアプリケーションの開始時刻: 0x01d60bace24fffd6
  • 障害が発生しているアプリケーション パス: C:\Users\########\Desktop\util\WinMerge\WinMergeU.exe
  • 障害が発生しているモジュール パス: hekseditU.dll

Windows7(x86)Enterprise環境のみ異常終了します。 Windows10(x64)・WindowsServer2016環境では問題発生しません。 (WIndows8.1やWindows10(x86)環境では動作確認していません。すみません)

WinMergeのバージョンですが、 winmerge-2.16.6-jp-3-exe、winmerge-2.16.6-jp-1-exe、winmerge-2.16.4-jp-13-exe、winmerge-2.16.4-jp-10-exe は異常終了します。 winmerge-2.16.4-jp-9-exe は異常終了しませんでした。だいぶバージョンの間が空いてしまいますがwinmerge-2.16.0-jp-9-exe.zipも異常終了しなかったので、おそらくそれ以前のバージョンは大丈夫なのではないかと思われます。

当初はこちらの環境のレジストリ設定やWinMergeU配置先ディレクトリのゴミファイルが原因ではないかと疑っていたのですが(最新のzipダウンロードファイルの内容をそのまま既存ディレクトリにうわかぶせするという乱暴なやり方でバージョンアップを繰り返していました・・) HKEY_CURRENT_USER\Software\Thingamahoochie\WinMerge 以下のレジストリエントリを全削除し、またzipファイル内容も新しいディレクトリに解凍しなおしたうえで実行してもやはり異常終了してしまったので、環境ではなくプログラム側起因の可能性が高そうです。

Ticket History (3/3 Histories)

2020-04-06 10:57 Updated by: None
  • New Ticket "オプションFrhed設定のボタン操作で異常終了" created
2020-04-07 07:51 Updated by: sdottaka
Comment

ご連絡ありがとうございます。 こちらでも再現できました。 次のバージョンにて修正したいと思います。

2020-04-29 20:40 Updated by: sdottaka
  • Status Update from Open to Closed
  • Resolution Update from None to Fixed

Attachment File List

No attachments

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login